Delete Webhook
curl --request DELETE \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/webhooks/{webhookId} \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"code": 401,
"message": "Unauthorized",
"key": "unauthorized"
}{
"code": 402,
"message": "Payment required",
"details": "Your current plan does not include a feature required to perform this operation.",
"key": "missing_required_feature"
}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find webhook with id wh_ekFHVL6lqC4lDuIFxpETSGa",
"request_id": "v-0ead4423d55b6996f2",
"resource_id": "wh_ekFHVL6lqC4lDuIFxpETSGa",
"resource_type": "webhook"
}Delete Webhook
Deletes a webhook configuration.
๐ Webhook Documentation
Read Introduction to webhooks article to learn how webhooks work in Voucherify.
DELETE
/
management
/
v1
/
projects
/
{projectId}
/
webhooks
/
{webhookId}
Delete Webhook
curl --request DELETE \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/webhooks/{webhookId} \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"code": 401,
"message": "Unauthorized",
"key": "unauthorized"
}{
"code": 402,
"message": "Payment required",
"details": "Your current plan does not include a feature required to perform this operation.",
"key": "missing_required_feature"
}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find webhook with id wh_ekFHVL6lqC4lDuIFxpETSGa",
"request_id": "v-0ead4423d55b6996f2",
"resource_id": "wh_ekFHVL6lqC4lDuIFxpETSGa",
"resource_type": "webhook"
}Path Parameters
Provide the unique identifier of the project.
Example:
"proj_TrlkLiH4"
Provide the unique identifier of the webhook configuration.
Example:
"wh_Fk1HzL9lqC1lpuIFxp3TShB4"
Response
Returns no content if the webhook configuration has been successfully deleted.
Last modified on June 9, 2026
Was this page helpful?
โI

